Bug 120115 - keyboard indicator not always changes when the applet is clicked
keyboard indicator not always changes when the applet is clicked
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-04-06 01:04 EDT by Santiago Erquicia
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 11:47:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Santiago Erquicia 2004-04-06 01:04:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Epiphany/1.1.12

Description of problem:
After adding a new layout to the new keyboard indicator, it not always
changes when the applet icon is clicked.  Usually it changes only once
and the it is stalled.

The first layout I'm using is the US and the second one is Latin
American.  It looks like it's with the latter that it doesn't change

If I don't write anything when I do change the layout, there is no

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Add a new layout (Latin American)
2.Change the layout by clicking the applet icon
3.Write something in any application
4.Try to change the layout again

Actual Results:  The layout doesn't change

Expected Results:  It changes as if I would do it with the right-click

Additional info:
Comment 1 Mark McLoughlin 2004-07-19 10:18:05 EDT
Works fine for me with Fedora Core 2. Do you still see the problem?
Comment 2 Santiago Erquicia 2004-07-21 14:22:43 EDT
Yes, I still see it.  I don't know if it has something to do with the
impossibility to actually create accented letters with the latin
america layout (my keyboard is english).

What I do it:
1. open gedit
2. write something
3. change the layout
4. write something again in gedit
5. try to change the layout

The layout should be changed by clicking over it and not with keyboard

Ask me whatever info you need
Comment 3 Mark McLoughlin 2004-07-22 12:23:56 EDT
Just pushed a testing update which may fix this:


Appreciate if someone could try it out and confirm.
Comment 4 Santiago Erquicia 2004-07-22 21:27:48 EDT
I tried this new version of gnome-applets and it keeps doing the same.
Comment 5 Mark McLoughlin 2004-07-23 04:57:40 EDT
Thanks for trying it
Comment 6 Aaron VanDevender 2004-12-25 17:37:38 EST
I see the same thing with FC3. I am switching between US and Dvorak. I
can click it once to switch, but then clicking it again to switch back
has no effect. If I right click, and go to Groups->U S English, then
it will switch and I can click it once more to change back to Dvorak,
but after that it gets stuck again, until I use the Groups menu again.

Someone should retarget this bug to FC3.
Comment 7 John Thacker 2006-10-29 17:48:29 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 8 Ray Strode [halfline] 2007-08-14 11:47:07 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.